import React from 'react';
import ReactDOM from 'react-dom';
import {arc} from 'd3';

const width = 960;
const height = 500;

const backgroundColor = 'black';

const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;

const eyeOffsetX = 90;
const eyeOffsetY = 100;
const eyeRadius = 50;
const eyeColor = '#0f258f';

const mouthRadius = 0;
const mouthWidth = 180;

const mouthArc = arc()
    .innerRadius(mouthRadius)
    .outerRadius(mouthRadius + mouthWidth)
    .startAngle(Math.PI / 2)
    .endAngle(Math.PI * 3 / 2);

arc();

const App = () => ( 
   <svg width={width} height={height}>
      <g transform={`translate(${centerX}, ${centerY}) rotate(30 0 0)`}>
        <circle
          r={centerY - strokeWidth / 2}
          fill="yellow"
          stroke="black"
          stroke-width={strokeWidth}     
        />
        <circle
          cx={-eyeOffsetX}
          cy={-eyeOffsetY}
          r={eyeRadius}
          fill={eyeColor}
        />
        <circle
          cx={eyeOffsetX}
          cy={-eyeOffsetY}
          r={eyeRadius}
          fill={eyeColor}
        />
        <path d={mouthArc()} />
      </g>
    </svg>
);

const root = document.getElementById('root');
ReactDOM.render(<App />, root);
